transport_remove_device
Prev | Device Drivers Base | Next

## Name

transport_remove_device — remove the visibility of a device

## Synopsis

`void transport_remove_device (` | struct device * | dev`)`;

## Arguments

`dev`

  generic device to remove

## Description

This call removes the visibility of the device (to the user from sysfs), but does not destroy it. To eliminate a device entirely you must also call transport_destroy_device. If you don't need to do remove and destroy as separate operations, use `transport_unregister_device` (see transport_class.h) which will perform both calls for you.

## Description

This call removes the visibility of the device (to the user from sysfs), but does not destroy it. To eliminate a device entirely you must also call transport_destroy_device. If you don't need to do remove and destroy as separate operations, use `transport_unregister_device` (see transport_class.h) which will perform both calls for you.

Prev | Up | Next
transport_configure_device | Home | transport_destroy_device